Expire a KYC Link
curl --request POST \
--url https://service-sandbox.tazapay.com/v3/entity/{entity_id}/kyc_link/expire \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://service-sandbox.tazapay.com/v3/entity/{entity_id}/kyc_link/expire"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://service-sandbox.tazapay.com/v3/entity/{entity_id}/kyc_link/expire', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://service-sandbox.tazapay.com/v3/entity/{entity_id}/kyc_link/expire",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://service-sandbox.tazapay.com/v3/entity/{entity_id}/kyc_link/expire"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://service-sandbox.tazapay.com/v3/entity/{entity_id}/kyc_link/expire")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://service-sandbox.tazapay.com/v3/entity/{entity_id}/kyc_link/expire")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"status": "success",
"message": "",
"data": {
"entity_id": "ent_aaaaaaaaaaaaaaaaaaaa",
"kyc_link": {
"url": "https://verify.example.com/kyc/demo-link-001",
"status": "expired",
"created_at": "2026-09-25T10:00:00Z",
"expires_at": "2026-09-26T08:00:00Z",
"completed_at": "2026-09-26T08:00:00Z",
"verification_result": null,
"metadata": {
"customer_reference": "customer_demo_001"
}
}
}
}{
"status": "error",
"message": "<string>",
"errors": [
{
"code": 123,
"message": "<string>",
"remarks": "<string>"
}
]
}{
"status": "error",
"message": "<string>",
"errors": [
{
"code": 123,
"message": "<string>",
"remarks": "<string>"
}
]
}{
"status": "error",
"message": "<string>",
"errors": [
{
"code": 123,
"message": "<string>",
"remarks": "<string>"
}
]
}KYC Links
Expire KYC Link
Expire the active KYC link of an entity. Approved or rejected links cannot be expired. Expiring a link that is already expired returns its current state without sending another kyc_link.expired webhook.
POST
/
v3
/
entity
/
{entity_id}
/
kyc_link
/
expire
Expire a KYC Link
curl --request POST \
--url https://service-sandbox.tazapay.com/v3/entity/{entity_id}/kyc_link/expire \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://service-sandbox.tazapay.com/v3/entity/{entity_id}/kyc_link/expire"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://service-sandbox.tazapay.com/v3/entity/{entity_id}/kyc_link/expire', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://service-sandbox.tazapay.com/v3/entity/{entity_id}/kyc_link/expire",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://service-sandbox.tazapay.com/v3/entity/{entity_id}/kyc_link/expire"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://service-sandbox.tazapay.com/v3/entity/{entity_id}/kyc_link/expire")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://service-sandbox.tazapay.com/v3/entity/{entity_id}/kyc_link/expire")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"status": "success",
"message": "",
"data": {
"entity_id": "ent_aaaaaaaaaaaaaaaaaaaa",
"kyc_link": {
"url": "https://verify.example.com/kyc/demo-link-001",
"status": "expired",
"created_at": "2026-09-25T10:00:00Z",
"expires_at": "2026-09-26T08:00:00Z",
"completed_at": "2026-09-26T08:00:00Z",
"verification_result": null,
"metadata": {
"customer_reference": "customer_demo_001"
}
}
}
}{
"status": "error",
"message": "<string>",
"errors": [
{
"code": 123,
"message": "<string>",
"remarks": "<string>"
}
]
}{
"status": "error",
"message": "<string>",
"errors": [
{
"code": 123,
"message": "<string>",
"remarks": "<string>"
}
]
}{
"status": "error",
"message": "<string>",
"errors": [
{
"code": 123,
"message": "<string>",
"remarks": "<string>"
}
]
}Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
Tazapay unique ID of the entity
Was this page helpful?